<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GODDeSS_DataStorage Member List</h1>This is the complete list of members for <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ae42603e9792385727e23ee6e2297881b">AddUpEnergyDepositionInScintillator</a>(G4int trackID, G4double deltaE)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ae4a5b003a3358693c56c63e304329132">FibreWasHit</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#aaf4f64f26d770418f319c640f4aeba1a">FillEmptyEntriesUpToCurrentTrack</a>(G4Track *theTrack)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a257502b8c98aefa1827c1725dcd8d36f">GetEnergyDepositionInScintillator</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a7fb19e4c85aad00aaa44ade4576beb1d">GetNameOfPhotonDetectorThatWasHit</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ae3dc24b52656150d9a7f963921870f13">GetParticleID</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#aa399632bdb05ba15b005a021fb23a196">GetParticleIsPrimary</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a3f613a03bec55f84c483238cd5f0069e">GetParticleName</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ad462dcad6c881d49dce16fb4e7aafe06">GetPhotonDetectorHitFile</a>() const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ac19b8161dc3c7de478e91b72239c6e38">GetPhotonDetectorHitMomentum</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a19dc55939a2b5cb61b7fa858252d1545">GetPhotonDetectorHitPoint</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a49df873799ef14906c1771c488c9b448">GetPreviousPreStepPointMomentum</a>() const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a42ceaf45e576257e4649ab9cf4bbc5ea">GetPreviousPreStepPointPolarisation</a>() const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#abca8dc5c0117532a0382d07f9a51cbc7">GetPreviousPreStepPointPosition</a>() const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ab21f154806fcca3676db5eb7960e6818">GetPreviousPreStepPointTime</a>() const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#aa51acf0b568ed8c80856364e3f69b093">GetProductionMechanism</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ae45bca50f2e6cd031a56084c871c3733">GetScintillatorHitMomentum</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#adeafcdc211377e9377fbcf61156bf680">GetScintillatorHitPoint</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a93d575da3512f9999eeb50ac95de7ecf">GetScintillatorHitTime</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a56395ec4338d123c62683cab0765a163">GetWrappingHitMomentum</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#af1e957a8f8262b988e0e5d81b3db41f0">GetWrappingHitPoint</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a245eff1a5cbee33e93fd957b133ff604">GetWrappingHitTime</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a84ae38be322e47f2920c0606bed7cd54">GODDeSS_DataStorage</a>()</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#af9ea5711dd69e28701d01edf9e36ef63">PhotonDetectorWasHit</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a562870bd25f758c01dc5afcdd12f20d7">SavePreviousStepOpticalPhotonData</a>(const G4Step *step)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a60e7365e41dd541df67419b07eef6ea6">SetDefaults</a>()</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ac10dff3aa1c28b1cfb5c388bb87c340f">SetFibreWasHit</a>(G4int trackID)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a2bfa7879ffef9b67f63576c9b1428cf8">SetNameOfPhotonDetectorThatWasHit</a>(G4int trackID, G4String hitVolume)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a009e63e0f64c46cde89225f149984111">SetParticleID</a>(G4int trackID, G4int partID)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#accba09c1b6043b9fb87958db7ce8b347">SetParticleIsPrimary</a>(G4int trackID)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a81f389a4aceb203bfa344f31d58516c2">SetParticleName</a>(G4int trackID, G4String partName)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ac38270556ffd50610cb69159b5c26aa7">SetPhotonDetectorHitFile</a>(G4String photonDetectorHitFile)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a4d062e89507b95e61b180b8a01e3d9eb">SetPhotonDetectorHitMomentum</a>(G4int trackID, G4ThreeVector hitMomentum)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a6bc8b05176c2e870fde59a1763798e66">SetPhotonDetectorHitPoint</a>(G4int trackID, G4ThreeVector hitPoint)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#afd96475ffc8aae737bdd2f8a2e2d9cb1">SetPhotonDetectorWasHit</a>(G4int trackID)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a480fcb67bd9b41ddfa1fb890d83d06cd">SetProductionMechanism</a>(G4int trackID, G4String prodMech)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#ad2089898fc36932df6e47e6d18c136b7">SetScintillatorHitMomentum</a>(G4int trackID, G4ThreeVector hitMomentum)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a9f3ec4778198f0fb50b376fa2de3cfb9">SetScintillatorHitPoint</a>(G4int trackID, G4ThreeVector hitPoint)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a30062b4154cd1ef2e0874c4af6c137ef">SetScintillatorHitTime</a>(G4int trackID, G4double hitTime)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a75a2bed4b9640df06afd2ef04f5d0b8e">SetWrappingHitMomentum</a>(G4int trackID, G4ThreeVector hitMomentum)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a11494a12b2e7f1060882fec3d16c0411">SetWrappingHitPoint</a>(G4int trackID, G4ThreeVector hitPoint)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a7695d906cb1fb4fc11e9cfab54c893fa">SetWrappingHitTime</a>(G4int trackID, G4double hitTime)</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#af56eb725b1af3dd53abf197be5461919">TrackIDExistsInVector</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a280aff00802d72bdb83d355ced60e8e1">TrackIDHasEntries</a>(G4int trackID) const </td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classGODDeSS__DataStorage.html#a346590a257278e1d1325a4f3176ec41c">~GODDeSS_DataStorage</a>()</td><td><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 13 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
